### Function

# GLib Array unref

since: 2.22

#### Declaration

    void
    g_array_unref (
      GArray* array
    )

#### Description

Atomically decrements the reference count of `array` by one. If the reference count drops to 0, all memory allocated by the array is released. This function is thread-safe and may be called from any thread.

Available since: 2.22

This function is not directly available to language bindings.

#### Parameters

`array`

  Type: An array of `gpointer`

  A `GArray`.

  The data is owned by the caller of the function.